6.3. Encoding two pass MPEG-4 ("DivX")
Prev | Chapter 6. Basic usage of MEncoder | Next

## 6.3. Encoding two pass MPEG-4 ("DivX")

The name comes from the fact that this method encodes the file twice. The first encoding (dubbed pass) creates some temporary files (`*.log`) with a size of few megabytes, do not delete them yet (you can delete the AVI or rather just not create any video by redirecting it into `/dev/null` or on Windows into `NUL`). In the second pass, the two pass output file is created, using the bitrate data from the temporary files. The resulting file will have much better image quality. If this is the first time you heard about this, you should consult some guides available on the net.

Example 6.2. copy audio track

Two pass encode of the second track a DVD to an MPEG-4 ("DivX") AVI while copying the audio track.

    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 -oac copy -o /dev/null
    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
        -oac copy -o output.avi

Example 6.3. encode audio track

Two pass encode of a DVD to an MPEG-4 ("DivX") AVI while encoding the audio track to MP3. Be careful using this method as it may lead to audio/video desync in some cases.

    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:vpass=1 \
        -oac mp3lame -lameopts vbr=3 -o /dev/null
    mencoder dvd://2 -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell:vpass=2 \
        -oac mp3lame -lameopts vbr=3 -o output.avi

Prev | Up | Next
6.2. Selecting input file or device | Home | 6.4. Encoding to Sony PSP video format